Subject: Re: [PATCH net-next] mpls: Don't accept multipath configuration until the support is complete

From: Robert Shearman <[email-masked]>
Date: Tue, 3 Nov 2015 15:14:31 +0000

On 03/11/15 14:03, roopa wrote:
> On 11/2/15, 10:09 PM, Eric W. Biederman wrote:
>> Sergei Shtylyov <[email-masked]> writes:
>>
>>> Hello.
>>>> diff --git a/net/mpls/af_mpls.c b/net/mpls/af_mpls.c
>>>> index c70d750148b6..893cd2dc3979 100644
>>>> --- a/net/mpls/af_mpls.c
>>>> +++ b/net/mpls/af_mpls.c
>>>> @@ -1162,6 +1162,8 @@ static int rtm_to_route_config(struct sk_buff *skb,  struct nlmsghdr *nlh,
>>>>    		{
>>>>    			cfg->rc_mp = nla_data(nla);
>>>>    			cfg->rc_mp_len = nla_len(nla);
>>>> +			/* Fail until multipath support is complete */
>>>> +			goto errout;
>>>>    			break;
>>>     Forgot to delete *break*?
>> Nope.  I did that deliberately, because this code is not supposed to
>> stay this way for long.
> Eric, this is only until dead route support is added correct ?.
> If yes, then my v2 on dead route/nh support is out. I know david is only taking bug fixes right now...
> and I thought the dead route/nh is a bug fix. If you are ok with v2, we could skip this patch ?.

Roopa,

I think we should take our time with the dead nexthop changes, and 
Eric's patch gives us that time.

Thanks,
Rob

>
> If david decides to not pick it up in net-next, i was hoping to submit it as a bug-fix to net.
>